// u_28_ongesture
// 12 dec 2012

// -- (C) John COLIBRI 2012
// -- documentation: http://www.jcolibri.com


unit u_28_ongesture;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls,
  Vcl.Touch.GestureMgr;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    GestureManager1: TGestureManager;
    Panel1: TPanel;
    Splitter1: TSplitter;
    procedure Panel1Gesture(Sender: TObject; const EventInfo: TGestureEventInfo;
      var Handled: Boolean);
  private
  public
  end;

var
  Form1: TForm1;

implementation
  uses Vcl.Touch.Gestures;

  {$R *.dfm}

    procedure display(p_text: String);
      begin
        Form1.Memo1.Lines.Add(p_text);
      end;

  procedure TForm1.Panel1Gesture(Sender: TObject;
      const EventInfo: TGestureEventInfo; var Handled: Boolean);
    var l_gesture_name: String;
    begin
      display('ongesture');
      with EventInfo do
      begin
        GestureToIdent(GestureID, l_gesture_name);
        display(Format('  %d %s', [GestureID, l_gesture_name]));
      end;
      Handled := True;
    end; // Panel1Gesture

end.
